Bug 1411530 - "Validation failed: Name has already been taken" error after syncing kickstart repos on cloned satellite.
Summary: "Validation failed: Name has already been taken" error after syncing kickstar...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 22:21 UTC by Perry Gagne
Modified: 2017-01-26 16:12 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-10 16:54:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
Foreman Debug on Sat2 (2.29 MB, application/x-xz)
2017-01-09 22:21 UTC, Perry Gagne
no flags Details
task export on Sat2 (2.15 MB, application/x-gzip)
2017-01-09 22:22 UTC, Perry Gagne
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 18263 Normal Resolved Resyncing of RH kickstart repos after the hostname change - failed 2020-04-26 11:11:28 UTC

Description Perry Gagne 2017-01-09 22:21:29 UTC
Created attachment 1238917 [details]
Foreman Debug on Sat2

Description of problem:
I was testing the satellite-clone tool:
https://github.com/RedHatSatellite/satellite-clone
 and change hostname:
https://github.com/Katello/katello-packaging/pull/323

I did a content sync of kickstart repos on the clone "destination satellite" and I got the error: 

"Validation failed: Name has already been taken" when trying to sync kickstart content repos

Version-Release number of selected component (if applicable): Sat 6.2.6


How reproducible: Happens only on kickstart repos, but seems to happen everytime. 


Steps to Reproduce:
1. Populate Sat1 with Kickstart repos content, sync content. 
2. Clone Sat1 to another host (Sat2)
3. On Sat2 run katello-change-hostname (see https://github.com/Katello/katello-packaging/pull/323) 
4. On Sat2 sync the kickstart repos

Actual results:

Got error "Validation failed: Name has already been taken"


Expected results:
Repo sync successfully. 


Additional info:

Comment 1 Perry Gagne 2017-01-09 22:22:18 UTC
Created attachment 1238918 [details]
task export on Sat2


Note You need to log in before you can comment on or make changes to this bug.